@import url('https://fonts.googleapis.com/css?family=Poppins');
body{
    margin: 0;
    padding: 0;
    font-family: 'Poppins',sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}
.container{
    width: 480px;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}
.container a{
    position: relative;
    display: inline-block;
    padding: 10px 30px;
    margin: 20px;
    text-decoration: none;
    text-transform:  uppercase;
    letter-spacing: 2px;
    font-size: 12px;
    color: #fff;
    transition: 0.5s;
}
.container a:nth-child(1){
    background: linear-gradient(to right,#a18cd1,#fbc2eb,#a18cd1);
    background-size: 200%;
}
.container a:nth-child(2){
    background: linear-gradient(to right,#43e97b,#38f9d7,#43e97b);
    background-size: 200%;
}
.container a:nth-child(3){
    background: linear-gradient(to right,#fa709a,#fee140,#fa709a);
    background-size: 200%;
}
.container a:nth-child(4){
    background: linear-gradient(to right,#4481eb,#04befe,#4481eb);
    background-size: 200%;
}
.container a:nth-child(5){
    background: linear-gradient(to right,#FFE29F,#FFA99F,#FFE29F);
    background-size: 200%;
}
.container a:nth-child(6){
    background: linear-gradient(to right,#fdfc47,#24fe41,#fdfc47);
    background-size: 200%;
}
.container a:hover{
    background-position-x: 100%;
    transform: translateY(-15px);
}
.container a:after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    height: 100%;
    background: rgba(255, 255, 255, .2);
}
.container a:before{
    content: '';
    position: absolute;
    bottom: 0;
    left: 5%;
    width: 90%;
    height: 4px;
    background: rgba(0, 0, 0, .2);
    border-radius: 50%;
    transform: scale(0);
    filter: blur(5px);
    transition: 0.5s;
    z-index: -1;
}
.container a:hover:before{
    transform: scale(1);
    bottom: -15px;
}